For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
      • GETGet a list of all API Keys
      • POSTCreate an API Key
      • POSTSearch for api keys using a filter
      • GETGet an API key by id
      • PATCHPatch an API key by id
      • GETGet a decrypted API key by id
  • Transaction API
  • Event API
LoginSandbox
Identity APIAPI Keys

Search for api keys using a filter

POST
/v:version/api-keys/search
POST
/v:version/api-keys/search
$curl -X POST https://test.api.solvimon.com/v1/api-keys/search \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "object_type": "string",
3 "id": "string",
4 "api_key": "string",
5 "entity_id": "string",
6 "created_at": "string",
7 "status": "INVITED",
8 "description": "string",
9 "role_type": "ADMINISTRATOR",
10 "active": true,
11 "account_memberships": [
12 {
13 "object_type": "string",
14 "id": "string",
15 "account_id": "string",
16 "account": {
17 "id": "string",
18 "reference": "string",
19 "account_type_code": "string",
20 "environment": "string",
21 "account_group_id": "string",
22 "parent_id": "string",
23 "platform_id": "string"
24 },
25 "type": "ADMIN",
26 "role_ids": [
27 "string"
28 ],
29 "account_reference": "string",
30 "environment": "string",
31 "roles": [
32 {
33 "object_type": "string",
34 "id": "string",
35 "name": "string",
36 "description": "string",
37 "entity_id": "string",
38 "child_role_ids": [
39 "string"
40 ],
41 "child_roles": [
42 {}
43 ]
44 }
45 ]
46 }
47 ],
48 "team_memberships": [
49 {
50 "team_id": "string",
51 "start_at": "2024-01-15T09:30:00Z",
52 "end_at": "2024-01-15T09:30:00Z",
53 "account_memberships": [
54 {
55 "object_type": "string",
56 "id": "string",
57 "account_id": "string",
58 "account": {
59 "id": "string",
60 "reference": "string",
61 "account_type_code": "string",
62 "environment": "string",
63 "account_group_id": "string",
64 "parent_id": "string",
65 "platform_id": "string"
66 },
67 "type": "ADMIN",
68 "role_ids": [
69 "string"
70 ],
71 "account_reference": "string",
72 "environment": "string",
73 "roles": [
74 {
75 "object_type": "string",
76 "id": "string",
77 "name": "string",
78 "description": "string",
79 "entity_id": "string",
80 "child_role_ids": [
81 "string"
82 ],
83 "child_roles": [
84 {}
85 ]
86 }
87 ]
88 }
89 ]
90 }
91 ]
92}
Requires the USER.API.VIEW permission.
Was this page helpful?
Previous

Get an API key by id

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
resource_idstring or nullOptional
usernamestring or nullOptional
user_typestring or nullOptional

Response

OK
object_typestring or nullRead-only
idstring or nullRead-only
The id of this API key
api_keystring or nullRead-only
The API Key itself
entity_idstring or nullRead-only
The id of the entity that this API key belongs to
created_atstring or nullRead-only
The creation date of the API key
statusenum or null
Indicates the status of this API key
Allowed values:
descriptionstring or null

Description of this API key, e.g. for describing type/location of usage

role_typeenum or null
The role assigned to this API key, determining its access level. The default role is ADMINISTRATOR
Allowed values:
activeboolean or nullDeprecated
Indicates whether this API key is active or not
account_membershipslist of objects or nullRead-onlyDeprecated
Account memberships that this API key has
team_membershipslist of objects or nullRead-onlyDeprecated
The team memberships that this API key has

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error